<?php
/*
####################################################################
# DEBRECENI VIRTUÁLIS SZOBORPARK                                   #
# INDEX                                                            #
# Kezdőoldal és eseményfeldolgozó főprogram                        #
#                                                                  #
# Módosítva: 2008.04.20.                                           #
# Készítette: Lente Tamás - lentet@dbvk.hu                         #
####################################################################
*/

// Konfigurációs fájlok és külső modulok betöltése 
  include("config/config_program.php");   // Program konfiguráció
  include("config/config_adatbazis.php"); // Adatbázis konfiguráció
  include("modules/_functions.php");      // Program függvények   
  include("modules/_sql.php");            // SQL kezelő függvények 

// Kapcsolódás az adatbázishoz
  adatbazis();

// Fix szövegek betöltése adatbázisból
  $_lekerdezes_szovegek = lekerdezes("SELECT * FROM szovegek");
  while ($_rekord = olvas_asszociativ($_lekerdezes_szovegek)) {
      $szoveg[$_rekord[szoveg_azon]]=$_rekord[szoveg];
  }  
  include("modules/_header.php");         // HTML fejlécek függvényei


// Folyamatazonosítás
  session_start();   
  $SID=session_id();

// Felhasználó ellenőrzés - ha belépés történt, akkor kezeljük
  if ($mitcsinal == "login") {   
    $_login = 0;
    include("modules/admin-login.php");
  }

// Ha kilépés történik a SESSION folyamatokat töröljük
  if ($mitcsinal == "logout") {  
    session_destroy();
    header("Location:".$url);
  }
  
// HTML dokumentum kódlapjának beállítása  
  fejlec_kodlap();
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<?php 
 fejlec_cim();
 fejlec_meta();
 fejlec_stiluslap(); 
 fejlec_js();
?>
</head>
<?php
  // Az alkotások megjelenítésénél a googlemaps szolgáltatás inicializálására van szükség
  // az oldal betöltése után
  echo "<body";  
  if ($mitcsinal == 'show') 
    echo " onload=\"initialize(document.a.address.value);\" onunload=\"GUnload()\"";
  echo ">";
?>
  <div align="center"><div id="lap">
    <!-- Fejléc -->
    <div id="fejlec"><img src="images/fejlec.jpg" width="780" height="84" border="0" usemap="#orvaros"></div>
    <!-- Menüsor -->
    <div id="menu">
<?php include("modules/menuk.php");?>
    </div>
    <!-- Tartalom -->
    <div id="tartalomhatter">
    <div id="minmagassag"></div>
    <div id="tartalom">
<?php
// Ha nem azonosított adminisztrátori folyamat
  if (!isset($_SESSION['user'])) {
    // Ha belépés történt
    if ($mitcsinal == "login") {
      //Ha hibás belépés történt
      if ($_login == 1) {
        echo "      <div class=\"hiba\" align=\"center\">".ucfirst($szoveg['hibas_fnevjelszo'])."!</div>\n";
        module("admin-login-form");
      }
      // egyébként ha most jelentkezett be, akkor admin start oldal!
      elseif ($_login == -1) 
        module("admin-start");
      // egyébként belépési űrlap
      else
        module("admin-login-form");      
    }
    // Egyébként vendéglátogató feladatok
    else {    
      $vendeg_feladatok = array ("search","browse","guestbook","show","photo","gallery","help","about","getpostcard","sendpostcard");
      // Ha szerepel a vendégfeladatokban a kérés, akkor megjelenik
      if (in_array($mitcsinal,$vendeg_feladatok)) {              
        echo "      <div class=cim>".$aktualis_menunev."</div>\n";
        module($mitcsinal);
      }
      // minden egyéb esetben start képernyőt kapunk + dbfrissítés
      else {
        echo "      <div class=\"szoveg\">".$szoveg['oldal_start']."</div>\n";
        echo "      <div class=\"hiba\" align=\"center\">".ucfirst($szoveg[dbfriss]).": ".date("Y.m.d.")."</div>\n";
      }
    } 
  }
// Egyébként azonosított admin feladatok betöltése
  else {
    echo "      <div class=cim>".$aktualis_menunev."</div>\n";
    // Admin kezdőoldala
    if (($mitcsinal == '') || ($mitcsinal == 'index')) {
      // Admin köszöntőszöveg
      echo "      <div class=\"alcim\">".ucfirst($szoveg['level_megszolit'])." ".ucfirst($szoveg['admin'])."!</div>\n";
      echo "      <div class=\"szoveg\">".$szoveg[oldal_adminstart]."</div>\n";
      // Statikus tartalomszerkesztő
      module("admin-tartalomszerk");
      contactme();
    }
    // Egyébként megfelelő modul betöltése
    else
      module($mitcsinal);
  }
      
?>
    </div>
    <div id="minmagassagtorol"></div>
    </div>
    <!-- Lábléc -->
    <div id="lablec">
      <?php module("lablec");?>
    </div>
  </div></div>
  <map name="orvaros">
    <area shape="rect" coords="520,11,778,24" href="http://www.orvaros.hu" target="_blank">
  </map>
</body>
</html>
